SSH не будет работать в новой версии OS X 10.8.4

Я использовал предыдущую версию OS X и использовал ее для подключения к серверу с консолью SSH. Он использовал для запуска X11 после загрузки моих запрошенных программ (Mathematica) на удаленном сервере и работал правильно.

Недавно я обновил свой Mac до последней версии (OS X 10.8.4), и SSH теперь не загружает «X». Поэтому я обращаюсь к моим запрошенным программам с удаленного сервера.

  • Как вы удаляете рабочий стол на Mac OSX из окон?
  • Как увеличить производительность удаленного рабочего стола
  • Каковы различные способы удаленного подключения к вашему компьютеру?
  • Удаленный рабочий стол от Mac OS X до Windows 7 Pro
  • Почему копирование по RDP иногда не работает?
  • Переименовать значки сеансов удаленных рабочих столов на физический рабочий стол
  • Как я могу исправить проблему? Я загрузил дополнительную версию X11 и установил ее, но в графическом интерфейсе были сбои подключения. Он работал правильно с X11 в предыдущей версии.

  • Как передавать файлы при предоставлении двух учетных записей SSH?
  • Повторные нажатия клавиш для Mac
  • Как получить оптический 5.1-канальный объемный звук Retina MacBook Pro от Logic Pro X
  • Расположение кеша Chrome в Mac OS X
  • Сжатие папки в несколько ZIP-файлов
  • Что такое ярлык клавиатуры для перехода на последнее сообщение в Mac OS X Mail.app?
  • 3 Solutions collect form web for “SSH не будет работать в новой версии OS X 10.8.4”

    Обязательно установите XQuarts, как указано в oozic.

    Устраните связь, войдя в систему с подробностями.

     ssh -xvvv foo@bar 

    Убедитесь, что переменная среды DISPLAY настроена на вашем Mac. Вот как выглядит мой.

     env | grep DISPLAY DISPLAY=/tmp/launch-51CsPO/org.macosforge.xquartz:0 

    Они удалили поддержку x11 в OSX, так как Lion 10.7.x http://support.apple.com/kb/HT5293

    Они предлагают вам использовать это: http://xquartz.macosforge.org/landing/

    Я использовал один раз, и он работал нормально (подключение к удаленному рабочему столу lxde)

    Я предлагаю переустановить последнюю версию GSI-SSHTerm.

    Убедитесь, что ваш клиент принимает сертификат сервера, особенно если сервер использует самозаверяющий сертификат. Возможно, вам потребуется обновить файлы сертификатов CA.

    Давайте будем гением компьютера.